Opened 10 years ago

Closed 9 years ago

#1319 closed enhancement (fixed)

Variables bug on ARM LE/BE for Conax Reader

Reported by: Madmaxx Owned by: lattjo
Priority: minor Component: Reader
Severity: low Keywords: CONAX READER ARM
Cc: Sensitive: no

Description

There is an very old unfixed variables bug in the Conax Reader:

This is WORKING snippet from i686:

2010/11/28 17:16:00 B72F12A0 r type: Conax, caid: 0B00, serial: 1xxxxxxxx, hex serial: 57xxxxxx, card: v64
2010/11/28 17:16:00 B72F12A0 r Providers: 1
2010/11/28 17:16:00 B72F12A0 r Provider: 1  Provider-Id: 000000
2010/11/28 17:16:00 B72F12A0 r Provider: 1  SharedAddress: 00123459
2010/11/28 17:16:00 B72F12A0 r found cardsystem
2010/11/28 17:16:01 B72F12A0 r Package: 1, id: 1010, date: 2006/12/02 - 2007/01/01, name: Technisat
2010/11/28 17:16:01 B72F12A0 r Package: 2, id: 2010, date: 1990/01/01 - 1990/01/01, name: Preview 1
2010/11/28 17:16:01 B72F12A0 r Package: 3, id: 2011, date: 1990/01/01 - 1990/01/01, name: Preview 2

On ARM, LE & BE; this lines:

2010/11/28 17:16:00 B72F12A0 r Provider: 1  Provider-Id: 000000
2010/11/28 17:16:00 B72F12A0 r Provider: 1  SharedAddress: 00000000

are always 0. looks like incompatibility on ARM LE & BE. I tested this on nslu2/BE and wrt350nv2/openwrt/LE. This bug is in since mpcs
times.

Change History (3)

comment:1 by lattjo, 10 years ago

Owner: set to lattjo

comment:2 by Deas, 9 years ago

can you please check if the problem still exist with the latest oscam? tnx!

comment:3 by Deas, 9 years ago

Resolution: fixed
Status: newclosed

no update => closed...

Note: See TracTickets for help on using tickets.